Package com.google.android.exoplayer2.metadata

## Interface MetadataOutput

- All Known Subinterfaces:
    `Player.Listener`
  All Known Implementing Classes:
    `AnalyticsCollector`, `DebugTextViewHelper`, `ExoPlayerTestRunner`, `ImaAdsLoader`

      public interface MetadataOutput

  Receives metadata output.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onMetadata​(Metadata metadata)` | Called when there is metadata associated with current playback time.

- - ### Method Detail

    - #### onMetadata

          void onMetadata​(Metadata metadata)

      Called when there is metadata associated with current playback time.
      Parameters:
        `metadata` - The metadata.